Package org.apache.felix.http.base.internal.context

# Interface ExtServletContext

All Superinterfaces:
  `jakarta.servlet.ServletContext`

All Known Implementing Classes:
  `ExtServletContextWrapper`, `PerBundleServletContextImpl`, `ServletContextImpl`

public interface ExtServletContext extends jakarta.servlet.ServletContext
Internal extension of the servlet context

## Field Summary

### Fields inherited from interface jakarta.servlet.ServletContext

`ORDERED_LIBS, TEMPDIR`

## Method Summary

Modifier and Type
Method
Description
`void`
`finishSecurity(jakarta.servlet.http.HttpServletRequest req, jakarta.servlet.http.HttpServletResponse res)`
`org.apache.felix.http.base.internal.HttpConfig`
`getConfig()`
`jakarta.servlet.http.HttpSessionAttributeListener`
`getHttpSessionAttributeListener()`
`jakarta.servlet.http.HttpSessionListener`
`getHttpSessionListener()`
`jakarta.servlet.ServletRequestAttributeListener`
`getServletRequestAttributeListener()`
`jakarta.servlet.ServletRequestListener`
`getServletRequestListener()`
`boolean`
`handleSecurity(jakarta.servlet.http.HttpServletRequest req, jakarta.servlet.http.HttpServletResponse res)`

### Methods inherited from interface jakarta.servlet.ServletContext

`addFilter, addFilter, addFilter, addJspFile, addListener, addListener, addListener, addServlet, addServlet, addServlet, createFilter, createListener, createServlet, declareRoles, getAttribute, getAttributeNames, getClassLoader, getContext, getContextPath, getDefaultSessionTrackingModes, getEffectiveMajorVersion, getEffectiveMinorVersion, getEffectiveSessionTrackingModes, getFilterRegistration, getFilterRegistrations, getInitParameter, getInitParameterNames, getJspConfigDescriptor, getMajorVersion, getMimeType, getMinorVersion, getNamedDispatcher, getRealPath, getRequestCharacterEncoding, getRequestDispatcher, getResource, getResourceAsStream, getResourcePaths, getResponseCharacterEncoding, getServerInfo, getServletContextName, getServletRegistration, getServletRegistrations, getSessionCookieConfig, getSessionTimeout, getVirtualServerName, log, log, removeAttribute, setAttribute, setInitParameter, setRequestCharacterEncoding, setRequestCharacterEncoding, setResponseCharacterEncoding, setResponseCharacterEncoding, setSessionTimeout, setSessionTrackingModes`

## Method Details

### handleSecurity

boolean handleSecurity(jakarta.servlet.http.HttpServletRequest req, jakarta.servlet.http.HttpServletResponse res) throws IOException

Throws:
  `IOException`

### finishSecurity

void finishSecurity(jakarta.servlet.http.HttpServletRequest req, jakarta.servlet.http.HttpServletResponse res)

### getHttpSessionAttributeListener

jakarta.servlet.http.HttpSessionAttributeListener getHttpSessionAttributeListener()

### getHttpSessionListener

jakarta.servlet.http.HttpSessionListener getHttpSessionListener()

### getServletRequestListener

jakarta.servlet.ServletRequestListener getServletRequestListener()

### getServletRequestAttributeListener

jakarta.servlet.ServletRequestAttributeListener getServletRequestAttributeListener()

### getConfig

org.apache.felix.http.base.internal.HttpConfig getConfig()